 KeyPass Version 4.0.1

What is KeyPass?

KeyPass is a password manager that types your passwords for you! Unlike other password managers that require tedious cut-and-paste or drag-and-drop operations to enter your passwords, KeyPass types the passwords for you when a user-defined hotkey is pressed. As such, it works with any browser or application, including web browsers, terminal emulators and enterprise applications. You are not limited to Internet Explorer alone!

KeyPass stores all your sensitive information in an encrypted database. The information is encrypted using 448-bit blowfish algorithm and a master password is required to unlock the information in the database. You can be sure that only you have access to secret information such as passwords, credit card numbers, PIN numbers and sensitive documents.

KeyPass can be installed on external storage devices such as keychain-size USB flash drives. Unlike other password managers that write configuration information to the Windows registry, KeyPass stores everything in the encrypted database so that it can be run without prior installation. This allows you to carry all your sensitive information with you wherever you go. Simply plug the device into any PC and immediately access all your information and passwords!

KeyPass can be used by enterprise administrators to distribute passwords to users. Instead of forcing users to remember passwords, an administrator can store them in KeyPass, assign a read-only password and distribute them to users. In this way, users will be able to use the information in KeyPass, but will not be able to modify them. Only the administrator has the authority to update the database. Changes can also be seamlessly distributed to the users by making KeyPass synchronize with a reference database in a remote network share.

The main features of KeyPass are summarized below:

  • Runs on Windows 95/98/ME/NT/2K/XP (Internet Explorer 4.0 or above required).
  • Database is encrypted using 448-bit blowfish algorithm.
  • Types your passwords for you into any application.
  • Supports free-text search on database content.
  • Supports auto-locking for increased security.
  • Supports secure storage of files in the database.
  • Imports Internet Explorer favorites, Netscape bookmarks or CSV data files.
  • Exports to CSV, HTML or Netscape bookmark files.
  • Administrator can define passwords for read-only database access.*
  • Administrator can configure password-specific views of the database for increased security.*
  • Read-only database can be automatically updated from a reference database in a remote network share.*

* Enterprise edition only


At a Glance

  • Run KeyPass. If you have configured KeyPass to run off an external USB drive, KeyPass will automatically run when you insert the device into the PC.

    You will then be asked to enter the password:

  • Once the correct password is entered, KeyPass minimizes itself to the system tray.

  • You can double-click on the KeyPass icon to add/modify entries in the database.

  • You can "type" a field into any application by positioning the mouse cursor over the text field, pressing the hotkey (default: Ctrl-[Right Mouse Button]) to invoke the popup menu, then selecting the required field.

  • You can execute an entire login sequence (eg. username, [Tab], password, [Enter]) by positioning the mouse cursor over the first text field, pressing the hotkey to invoke the popup menu, then clicking on the required login script.

  • You can temporarily lock KeyPass if you are leaving your PC for a short while. You will be asked for the password again when unlocking for access.

  • When you are done, shut down KeyPass. If you are running KeyPass from an external USB flash drive, you should unplug the device.


Frequently asked questions

Does the enterprise version of KeyPass prevent the user from looking at the passwords in the database?

No. Although the KeyPass application itself does prevent the user from peeking at the passwords directly, there are other indirect ways of doing so eg. "pumping" the passwords into Notepad. Unfortunately, there is no feasible way to prevent the user from peeking at the passwords as long as he can use them.

I lost my master password so now I cannot access the KeyPass database. Uninstalling it doesn't help. Is there anyway i can fix this?

There is nothing we can do if you lose your master password. KeyPass uses strong encryption to scramble the contents of the database, and the master password is the only key to unscramble the encrypted content.

I formatted my machine and reinstalled KeyPass. How do I reimport my original KeyPass database?

Make sure KeyPass is not running. Then copy your original KEYPASS.DAT file into the KeyPass directory. If you have attached files, you need to copy all the KEYFILE.* files as well. That's all!

How do I print a report of all the entries in the database?

You can export the database to a HTML file, then open it using any web browser for viewing/printing, or import it into any word processor for editing.

Why wouldn't KeyPass autostart when I plug in my USB drive?

Make sure that: 1) You have copied the KeyPass files to a folder called "KeyPass" on your USB drive. 2) KEYLOAD.EXE has been installed in your Startup folder via the "Enable Autostart" function in Preferences. 3) KEYLOAD.EXE is shown to be running in Task Manager.

For some reason, launching a web address does not open the URL in a new Internet Explorer window, but reuses the IE window that is currently in focus. How do I change that?

In Internet Explorer, select Tools, Internet Options, then select the "Advanced" tab. Under "Browsing", remove the checkmark in "Reuse windows for launching shortcuts". Click on Apply, then OK. Close all existing IE windows. Everything should now open in a new IE window.

The use of "<Select All>" in the login script does not seem to work for certain applications. What should I do?

"<Select All>" will send Ctrl-A to the target application, which is the standard shortcut for "Select All" in Windows applications. It allows subsequent keyboard entries to override whatever value was originally in the target field. Unfortunately, some applications either do not support the shortcut (eg. terminal apps), or worse, use it for some other function! For such applications, delete all instances of "<Select All>" from the login script.

Is there any quick way to view the password of a particular entry in the database?

Yes. Double-click on the password to bring up the "Edit Field" window. Uncheck the "Password field" checkbox, which will instantly reveal the content of the password. Check the "Password field" checkbox again to mask the password, then click "Cancel" to dismiss the "Edit field" window.

After I exit KeyPass, something keeps me from ejecting the USB drive. What should I do?

KeyPass injects KEYHOOK.DLL into the Windows system hook chain to intercept keyboard and mouse messages. This DLL will be attached to all processes, and will remain in memory for a short period of time after KeyPass exits. According to Microsoft's documentation, the DLL will eventually unload, but the exact time required is not specified. Experimentally, we have determine the time taken to be between 1 to 3 minutes. Typically, the DLL instances attached to Explorer windows take the longest to unload. However, if your USB drive is configured for quick removal (default), we have found that it is quite safe to physically remove the thumbdrive if there is no activity on the LED indicator, even when Windows refuses to release it.

We have four field technicians with laptops. We want to use the Enterprise Edition of KeyPass to maintain a reference database on the office server and synchronize with copies of the database on each laptop. How many licenses do we need?

You will need one license for each laptop, plus another for the office server i.e. 5 licenses.

Can V4 database be read by KeyPass V3?

Yes. Under "Preferences/General/Database", uncheck "Save in new format". This will save the database in a format that can be read by KeyPass V3. However, all V4-specific properties will be lost.


Changes from KeyPass V3

These are the main changes in KeyPass V4:

  • New database format that is up to 10x smaller.

  • Auto association, so that entries that you have used on a particular window will automatically appear at the top of the popup menu.

  • Import/export of CSV files.

  • Find function now highlights search terms within the search results.

  • New "Favorites" list, so that entries marked as favorites will appear in that list.

  • Ability to configure the speed of entering keystrokes into the target application.

  • Ability to activate the KeyPass window via a user-defined hotkey.

  • Ability to define an unlimited number of web browsers/applications.

  • Ability to support any arbitrary keystroke or delay in the login script.

  • The Enterprise Edition now supports multiple read-only passwords as well as security tags for configuring password-specific views of the database.

  • Ability to attach files to the database, which will automatically be encrypted using the same Blowfish algorithm.

  • Ability to replace the default login script with a user-defined one.


KeyPass menus

Before we proceed, let's go through the different types of menus that you will encounter in KeyPass.

Main menu. This is located at the top of the KeyPass window, which is found in all standard Windows applications.

Context menu. This menu is invoked by clicking the right mouse button on various parts of the KeyPass window, including the database pane, URL, fields, login script, notes, associations and files. It provides a list of commands which can be applied to the selected item(s).

Tray menu. This menu can be invoked by right-clicking on the KeyPass tray icon. It provides a list of functions you can make use of without displaying the KeyPass window.

Popup menu. This menu is invoked by typing the hotkey (default is [Ctrl-Right-Mouse-Button]), typically over the application that you wish to provide login information to. It allows you to enter individual field values into the application, or execute an entire login script sequence.


Starting KeyPass

If you are running KeyPass for the first time, KeyPass will ask you to choose a master password. The master password guards access to all the sensitive information you save in the encrypted database. Please use a master password that is not a standard dictionary word so that it will be difficult to crack. See Choosing a good password for some suggestions on how to choose a good master password.

When you run KeyPass again subsequently, KeyPass will ask you for the master password. Only by entering the master password correctly will you be able to access the KeyPass database. In this way, even if someone duplicates your files, he will not be able to decode the sensitive information stored within the encrypted database.

Once the master password is entered correctly, KeyPass will minimized itself to an icon in the system tray. Double-click on the icon to manage your database. Right-click on the icon to access the tray menu.


Managing the database

To manage the database, double-click on the KeyPass icon in the system tray. Alternatively, select Manage database from the tray menu.

The left-most pane (highlighted in red) is the database pane. where you see a hierarchical listing of all the folders and entries you have created.

The KeyPass database is organized as folders and entries. Folders allow you to group related entries together. Each entry stores important information for a particular application or web site:

  • Title. This is a descriptive name that identifies the application or web site.

  • Web address. This is the URL of the web site, if applicable.

  • Fields. These are values specific to the application or web site. Each field has a descriptive name (eg. "Password"), and a value (the actual password itself). You can define any number of fields for an entry. See Using fields for additional information.

  • Login script. This defines a sequence of steps to login to the application or web site. Each step could be a field value (eg. Enter "Password"), or a keystroke (eg. Press [Enter]). See Using the login script for additional information.

  • Notes. This allows you to enter short notes related to the application or web site.

  • Properties. This tab contains a number of settings specific to the entry. For more information on what these settings mean, see Entry properties.

  • Files. You can attach one or more files to a particular folder or entry. For more information on how to do so, see Attaching files.

  • Associations. You can view existing associations for a particular entry, or remove unwanted ones. See Associations for additional information.

There are a few basic tasks related to database management:

  • Create a new folder. Select the parent folder, then select File/New folder from the main menu, or select New folder from the context menu. A new folder will be created with the default name "New Folder", which you can rename to something descriptive.

  • Create a new entry. Select the parent folder, then select File/New entry from the main menu, or select New entry from the context menu. A new entry will be created with the default name "New Entry", which you can rename to something descriptive.

    • Another way to add a new entry is to drag-and-drop a hyperlink from a web browser to the database pane.

    By default, each new entry is created with two default fields "Username" and "Password", and a default login script "[Select All], Username, [Tab], [Select All], Password, [Enter]", which works for most applications or web sites. You may change the default login script by using the Set as default function in the context menu of the login script pane. For more information, see Using the login script.

  • Rename an existing folder or entry. Select the target folder or entry, then make a single click on the target item, or select Rename from the context menu.

  • Reorder folders or entries. Use drag-and-drop to reorder folders and entries in the database pane.

  • Delete an existing a folder or entry. Select the target folder or entry, then press the [Del] key, or select Delete from the context menu.

You can save all updates to the database by using the File/Save, or File/Save and hide function from the main menu. The latter automatically hides the KeyPass window as well.


Using fields

Fields are values specific to a particular application or website. Each field has a descriptive name (eg. "Password"), and a value (the actual password itself). If an entry points to http://mail.yahoo.com/, and it has two fields Username and Password, the values of these two fields store the username and password for the Yahoo Mail service.

By default, every new entry is created with two fields Username and Password.

The left-middle pane (highlighted in red) is the fields pane.

There are a few basic tasks related to fields management:

  • Add a new field. Select Add from the context menu, then enter the field name and value.

    If you check the Password field checkbox, it indicates that the field value is a password, and its value will be masked with *.

    The Generate button can be used to generate a random password. The Generate and copy to clipboard button does the same thing, but also copies the generated password to the system clipboard. See Preferences/Password Generation to find out more about changing the parameters for password generation.

  • Edit an existing field. Double-click on the target field, or select Edit from the context menu. A separate dialog box will pop up that allows you to make the necessary changes.

  • Reorder the fields. Using drag-and-drop to change the order of the fields. The order of the fields does not play any direct role in KeyPass.

  • Delete an existing field. Select the field and press [Del], or select Delete from the context menu.

  • Copy to clipboard. Copy the value of the selected field to the clipboard.

You can insert the value of a field into any application by doing the following:

  • Position the mouse cursor over the target text field. In the example below, the browser is pointing to the Yahoo Mail web site, and the mouse cursor is positioned over the password text field.

  • Press the hotkey. By default, the hotkey is [Ctrl-Right-Mouse-Button], which means you should hold down the [Ctrl] key, then click on the right mouse button once, then release the [Ctrl] key.

    • A popup menu will appear, listing all the entries with fields defined.

  • Select the target entry, then the target field. In the example below, the Yahoo Mail entry is selected, then the Password field is selected. The password value is inserted into the password text field by KeyPass.

You can embed [Tab] and [Enter] keystrokes into a field by checking the Contains escape codes checkbox. Then all occurrences of "\t" and "\n" will be interpreted as [Tab] and [Enter] respectively. A double-backslash will be interpreted as a single backslash character. This is useful for cases like credit card numbers, where you may need to enter the field in four separate parts delimited by tabs.


Using the login script

A login script is simply a series of steps to login to an application or web site (think of it as a keyboard macro). Each step is either a field value, a keystroke or a short delay.

For example, most applications or websites require you to enter two fields, username and password.

Typically, you will enter the username in the username field, press the [Tab] key to move the cursor to the password field, enter the password, then press the [Enter] key to gain access.

Therefore the default login script consists of the following steps:

  • [Ctrl-A] (select existing value in the username field)
  • Enter "Username" (overwrite existing value in the username field)
  • [Tab] (move cursor to the password field)
  • [Ctrl-A] (select existing value in the password field)
  • Enter "Password" (overwrite existing value in the password field)
  • [Enter]

Note: The default login script may not work with all applications. Therefore you may want to modify the login script by adding and deleting steps to suit the application. In particular, the [Ctrl-A] key to select an existing value in the current field may cause problems for certain applications (eg. terminal clients).

The left-middle pane (highlighted in red) is the login script pane.

There are a few basic tasks related to login script management:

  • Add a field to the login script. You can either drag-and-drop existing fields in the fields pane to the login script pane, or select Add field from the context menu.

  • Add a new keypress to the login script. Select Add key from the context menu, and enter the desired keystroke using the keyboard.

  • Add a new delay to the login script. Select Add delay from the context menu, and enter the number of seconds for the desired delay.

  • Edit an existing step in the login script. Either double-click on the target step, or choose Edit from the context menu.

  • Reorder the steps in the login script. Use drag-and-drop to change the order of the steps.

  • Delete an existing step in the login script. Select the step and press [Del], or choose Delete from the context menu.

  • Use current login script as default for all new bookmarks. Choose Set as default from the context menu.

You can execute the login script in any application by doing the following:

  • Position the mouse cursor over the first text field. In the example below, the browser is pointing to the Yahoo Mail web site, and the mouse cursor is positioned over the username text field.

  • Press the hotkey. By default, the hotkey is [Ctrl-Right-Mouse-Button], which means you should hold down the [Ctrl] key, then click on the right mouse button once, then release the [Ctrl] key.

    • A popup menu will appear, listing all the entries with login scripts defined.

  • Select the target entry, then select Login. Double-clicking on the target entry does the same thing. In the example below, the Yahoo Mail entry is selected, then Login is selected. This causes the login script to run, which inserts the proper username and password values into the relevant text fields. The final [Enter] in the login script initiates a login to the Yahoo Mail web site.


Entry properties

Each entry has a number of settings that you can configure:

  • Entry speed. This specifies how fast the fields or login script will be entered into the application. If the application is slow in accepting keystrokes eg. Remote Desktop Client, or Telnet/SSH terminal client, you may wish to set this to "Medium" or "Slow" to reduce the possibility of missed keystrokes. If this is set to "Default", it will use the default entry speed from Preferences/General

  • Mark as favorite. If an entry is marked as favorite, it will appear in the favorites list.

  • Launch with. You can request KeyPass to always launch this entry with the selected browser/application, instead of the system default.

  • Security tags. This property is only used in the Enterprise Edition of KeyPass. For more information, please refer to Security tags.


Attaching files

You can attach one or more files to any entry in the database. The files are encrypted so they will be safe from prying eyes.

To attach a file to an entry, select that entry and make sure its "Files" tab is visible. Then, you can do one of the following:

  • Drag-and-drop the file from Windows Explorer to the KeyPass window. You will be asked to select Copy here, or Move here. The latter will erase the target file from its original location after it has been successfully imported into the database.

  • Select Copy from... or Move from... from the context menu. You will be asked to select the file to import into the database. The latter will erase the target file from its original location after it has been successfully imported into the database.

Similarly you can decrypt an attach file back to the filesystem by doing one of the following:

  • Drag-and-drop the file from the KeyPass window into Windows Explorer. The file is always copied to the filesystem.

  • Select Copy to... or Move to... from the context menu. You will be asked to select the folder to decrypt the file. The latter will erase the file from its original location after it has been successfully decrypted.

You can edit the attach file in-place by double-clicking on the file, or by selecting Edit from the context menu. The file will be decrypted into the Windows temp directory, and the associated application will be used to open the file. When you have edited the file and close the application, you will be asked whether to re-import the modified file back into the database.

You can also rename or delete an attach file by selecting Rename or Delete respectively from the context menu.


Launching entries

You can launch entries by right-clicking on the KeyPass system tray icon, and accessing Database. You will see a hierarchical listing of all folders and entries in the database.

You can launch a particular entry by simply clicking on it. This will launch the entry using the system default web browser. The exception is if that entry is configured to be launch using another application (under Entry properties).

If you have defined other web browsers or applications, you will also be given a choice to launch the entries using one of the alternative applications.

You can also launch an entry using the popup menu.


Associations

When you use the popoup window to enter a field into an application, or execute a login script, the window title of that application is automatically associated with that entry. The next time you invoke the popup menu on that application with the same window title again, the associated entries will automatically appear at the top of the popup menu for immediate access.

You may remove unwanted associations for an entry by choosing the "Associations" tab, then highlight the unwanted association and choose Delete from the context menu.

If you do not wish to display associated entries in the popup menu, or you wish to change the maximum number of associated entries displayed, you may do so under Preferences/Popup Menu.


Recent list

Whenever you access an entry (either by launching it or by using its fields or login script through the popup menu), it will be placed at the top of the recent list for quicker access. Every time an entry is accessed, it will be moved to the top of the recent list, and the least-used entry in the list will be removed.

The recent list is displayed at the top of both the tray menu and popup menu. You can configure the number of recent entries to display under Preferences/Popup Menu You can also choose not to display the recent list at all by unchecking Display recent items.


Favorites list

You can set certain bookmarks to be favorites by setting its Mark as favorite property to "Yes".

These bookmarks will then appear in a separate favorites menu at the top of both the tray menu and popup menu for quicker access.

You can also choose not to display the favorites list at all by unchecking Display favorites under Preferences/Popup Menu.


Instant login

If you have just launched an entry from KeyPass, it will move to the top of the recent list. You could bypass the popup menu and execute its login script directly by using a double mouse click in the hotkey instead of a single mouse click.

Suppose you are using the default hotkey [Ctrl-Right-Mouse-Button]. Position the mouse cursor over the username text field. Then hold down the [Ctrl] key and perform a double right mouse click. Release the [Ctrl] key immediately. The login script of the most recent entry will start to execute.

Instant login is not enabled by default, since it introduces a slight delay in the display of the popup menu. To enable it, see Preferences/Popup Menu.


Searching the database

You can do a quick search on the entries stored in the database by typing a keyword in the quick find field and pressing [Enter].

Alternatively, if you need to change the search options, you can bring up the "Search database" dialog by choosing Edit/Find, or pressing [Ctrl-F].

When you confirm by clicking on the OK button, the first match will be highlighted in the database pane. To locate the next match, select Edit/Find next, or press [F3].


Database backup

You should configure your backup settings using the AutoBackup preference tab. This allows you to automatically backup the KeyPass database to a specific directory or network location on a daily, weekly or monthly basis.

After you have configured your backup settings, at any time if you wish to perform a backup immediately without waiting for the automatic backup to kick in, you can click on File/Backup now!.

As with AutoBackup, the backup file will be created in the backup directory. The filename will be in the form KEYPASS.DAT.YYYYMMDD. Hence if a backup is created on 28 Jul, 2003, the backup filename will be KEYPASS.DAT.20030728.

See Backup strategy for more information on database backup.

See AutoBackup for more information on automating the database backup.


Importing favorites/bookmarks

You can import entries into the KeyPass database from the following sources:

  • CSV files

  • Internet Explorer favorites

  • Netscape Navigator, Mozilla or Firefox bookmarks

CSV files

CSV files should have the following format: a header row following by one or more data rows. The header row should contain one or more tags that indicate the data available for import. Valid tags are: Title (mandatory), URL, Username, Password and Notes (case-sensitive). The data rows should list the columns for each record in the same sequence indicated in the header row.

A sample CSV file looks like this:

Title, URL, Username, Password
Yahoo Mail, http://mail.yahoo.com/, john_doe, xyz123
Gmail, http://www.gmail.com/, john.doe, abc456

If you need to include one or more commas within a particular field, surround the entire field with double quotes. If you need to include double quotes within a particular field, prefix it with another double-quote. It is OK for a field to be empty, provided it is not a mandatory field.

Note that a valid CSV file should have at least the Title field. Otherwise the import will fail.

Internet Explorer favorites

IE favorites are automatically detected and imported into the database.

Netscape Navigator, Mozilla or Firefox bookmarks

For Netscape Navigator, Mozilla or Firefox bookmarks, you need to specify the bookmark file (either bookmark.htm or bookmarks.html) to import.

Imported favorites or bookmarks are automatically placed in a root folder called Imported Favorites or Imported Bookmarks respectively. After the import, you can move them to other folders accordingly.


Exporting the database

You can export the database to one of the following formats:

  • CSV file

  • HTML file

  • Netscape Navigator, Mozilla or Firefox bookmark file

You will be asked for the output filename. All information including titles, URLs, fields and notes are exported.

The CSV format can be imported into a spreadsheet or some other application that understands CSV.

The HTML format can be loaded into a web browser or word processor for viewing and printing.


Database information

Choose View/Database information... to get a quick look at the database statistics, including its location, size on disk and the total number of folders/entries.


Using the tray menu

To access the tray menu, right-click on the KeyPass icon in the system tray. The tray menu will pop up.

These are the functions available from the tray menu:

  • Favorites. This displays a list of entries marked as your favorite. See Favorites list for more information.

  • Recent. This displays a list of the most recently used entries. See Recent list for more information.

  • Database. This displays a hierarchical list of entries in the database which you can launch. See Launching entries for more information.

  • Manage database. This pops up the KeyPass window. See Managing the database for more information.

  • Preferences. This pops up the "Preferences" dialog box, which allows you to set various KeyPass preferences.

  • Lock/Unlock KeyPass. This locks or unlocks KeyPass immediately, depending on its current state. See Locking/unlocking KeyPass for more information.

  • Exit. This writes out all updates to the database and shuts down KeyPass. See Shutting down KeyPass for more information.


Locking/Unlocking KeyPass

The ability to lock KeyPass temporarily is useful. For example, if you are leaving your PC for a short while, locking KeyPass will prevent an intruder from gaining access to the sensitive information stored within the database.

To lock KeyPass, select Lock KeyPass from the tray menu.

The new state is reflected in the tray icon and causes KeyPass to disable itself until it is unlocked.

To unlock KeyPass, select Unlock KeyPass from the tray menu.

KeyPass will unlock if you can provide the correct master password.

See Enabling/disabling AutoLock to find out how to automatically lock KeyPass after a certain period of inactivity.


Shutting down KeyPass

Select Exit from the tray menu, which will cause KeyPass to write all database updates to disk before shutting down.


Security considerations

  • Always choose a difficult-to-guess master password. See Choosing a good password to find out how.

  • Always lock KeyPass when you are away from your PC. Otherwise, someone may sneak in and steal your passwords.

  • Use the "Generate password" feature when defining password fields to generate random passwords. See Using fields to find out how.


General

  • Lock on start. If checked, KeyPass will lock itself on start and only ask for the master password on first use.

  • Hide to tray on start. If unchecked, KeyPass will appear as a normal window on start instead of hiding to the system tray.

  • Hide to tray on close. If unchecked, KeyPass will shut down when the close "x" button is clicked on, rather than hiding to the system tray.

  • Default entry speed. Specify the global speed for all database entries. This determines how fast keystrokes are entered into the target application. The global entry speed can be overridden by property settings at the entry level.

  • Manage database shortcut. Allows you to define a shortcut key to activate the KeyPass window instead of having to click on Manage database in the tray menu.

  • Save in new format. If unchecked, KeyPass will save the database in the old V3 format, which is larger in size but is compatible with KeyPass V3.


Security

You can use this tab to change the master password, which controls access to the encrypted KeyPass database. Choose it with care!

You can also use this tab to manage the read-only passwords. Each read-only password can be assigned a limited view of the database by using security tags. Note: This feature is only available for the Enterprise Edition of KeyPass and will be ignored in other versions.


Popup Menu

Activation key/button

Change the hotkey used to invoke the popup menu. The hotkey is made up of two components:

  • Any combination of the [Ctrl], [Shift] or [Alt] key.

  • One of left, middle or right mouse button.

By default, the hotkey is [Ctrl-Right-Mouse-Button]. The best way to enter the hotkey is to press and hold [Ctrl], then click on the right mouse button, then release the [Ctrl] key immediately.

The Enable instant login checkbox enables the instant login feature. If instant login is enabled, the activation key plus a double mouse click will execute the login script of the most recent entry. In the default case, [Ctrl-Right-Mouse-Button-Double-Click] will cause the login script of the most recent entry to be executed. This is handy if you always use the tray or popup menu to launch the entries, in which case the most recent entry will very likely be what you want to use for login.

Note that enabling instant login introduces a split-second delay to the display of the popup menu. This is because KeyPass needs to wait for the possible double-mouse-click before showing the popup menu.

When using instant login, make sure you release the activation key (eg. [Ctrl]) immediately after the double-mouse-click. This is because once the login script starts executing, any [Ctrl], [Shift], or [Alt] keys that are still depressed will be treated as keyboard modifiers that changes the meaning of the login script (eg. [A] becomes [Ctrl-A]).

Components

Choose whether to display the favorites, recent or associations list in the tray and popup menu, as well as how many items to display. You can also use the Clear recent items button to clear the recent list.


Browsers/Applications

You can define an unlimited number of alternative browsers or applications for launching database entries. You must supply a descriptive name for each browser, as well as the full path to its EXE file.

The browser or application should be able to take a URL parameter and launch that URL in a new window. If you supply a %1 parameter in the EXE path (eg. "C:/Program Files/MyBrowser/MyBrowser.exe" -newwin "%1"), the %1 parameter will be substituted with the URL to be launched. Otherwise, the URL will be directly appended to the EXE path.

You can also click on the Auto-Detect Web Browsers button to automatically detect all web browsers installed on the current system. You will be given a choice to either append all the browsers detected to the existing list, or replace the existing list with the detected items. The browsers currently recognized are Internet Explorer, Netscape Navigator, Mozilla, Firefox and Opera.


Password Generation

You can change the characteristics of passwords generated using the Generate button found in the Field Edit dialog box by setting the options here.

By default, 14 characters are generated for random passwords, and they include letters, numbers and the underscore character.

You can change the length of the generated passwords, or decide whether they should include letters (uppercase and/or lowercase), numbers and/or the underscore character.


AutoRun

When AutoRun is enabled, a small program called KEYLOAD.EXE is installed into your startup folder. This program runs in the background and detects when the USB drive is plugged into the PC. When the USB drive is mounted, it will automatically execute KeyPass. This is convenient if you run KeyPass on that machine frequently.

When AutoRun is disabled, KeyPass automatically detects whether KEYLOAD.EXE is already installed, terminates the program, then removes it from your startup folder. This is the fastest way to disable AutoRun on a particular machine, with just one click of the button.

Alternatively, you can manually disable AutoRun by following these steps:

  • Kill KEYLOAD.EXE using Task Manager

  • Remove KEYLOAD.EXE from your startup folder


AutoLock

AutoLock enables you to automatically lock KeyPass if there are no mouse or keyboard activities after a certain number of minutes. The default value is 0, which disables AutoLock.


AutoBackup

AutoBackup allows you to automatically backup the KeyPass database and attached files to a specific directory or network location on a daily, weekly or monthly basis.

The backup files are created in a subdirectory named using the KPBACKUPYYYYMMDD format. Hence if a backup is created on 28 Jul, 2006, the subdirectory will be named KPBACKUP20060728.

The Backup directory field specifies where you wish to create the backup subdirectories/files. If you leave it blank, the backup subdirectories/files will be created in the KeyPass program directory. The backup directory can be a network location eg. \\SERVER\SHARED\KEYPASS.

The Backup frequency parameter specifies how often you wish to perform the backup. When you first enable AutoBackup, a backup is immediately created, and the date/time when this happens is stored as a reference date in the database. All future backups will be performed with reference to this date. If you select "Monthly" as your backup frequency, a backup will be created every 4 weeks.

The backup will only be performed if KeyPass is running, and the backup directory is available. Because KeyPass is designed to run from multiple locations, KeyPass will not explicitly warn you if the backup directory or the network location is unavailable. It will simply try to perform the backup at the next available opportunity. You should check periodically to ensure the backup is carried out according to plan.


Synchronization

Note: This feature is only available in the enterprise edition of KeyPass. It is ignored in other versions of KeyPass.

This setting allows the administrator to specify a network share (eg. \\SERVER\SHARED\KEYPASS) that contains the central master database (must be KEYPASS.DAT). When the timestamp of the central database changes, the local read-only copy will be automatically refreshed.

The update will only be performed if KeyPass is running, and the reference database is available. Because KeyPass is designed to run from multiple machine, KeyPass will not explicitly warn you if the reference database is unavailable (it may be running on a different machine, or the network location is invalid). However, it will try to perform the update when the reference database next becomes available.

Note that this setting can be changed by the user as well, in case the default network share location needs to be adjusted due to unforeseen reasons.


Enterprise workflow

When using KeyPass in the enterprise, there will typically be an administrator that updates a central database, and a number of users who make use of it (but cannot modify it).

The administrator first installs KeyPass on his local machine, creates a master database and adds one or more read-only passwords to the database. He then makes the master database available over a normal network share by copying KEYPASS.DAT to a file server.

The user installs KeyPass on his machine and creates a local copy of the central database by copying KEYPASS.DAT from the network share to the local installation folder. He logs in to KeyPass using one of the read-only passwords assigned by the administrator. He can then make use of his copy of the database and even change some personal settings (eg. hotkey, browsers/applications etc.), but he will not be able to modify any of the database entries.

The local database can be automatically synchronized with the central database by specifying the location of the network share in preferences When the administrator updates the central database on his local machine, he should copy KEYPASS.DAT over to the file server again. When KeyPass (running on the user's machine) detects that the timestamp of the central database has changed, it will replace the local copy with the new content, but the user's local settings will be preserved.

It is also possible for the administrator to prevent certain users from accessing parts of the central database by using security tags. Basically, this involves assigning matching tags to both read-only passwords and database entries so that only those passwords with the relevant tags can access those entries. For more information, see Security tags.

When using KeyPass in the enterprise configuration, the administrator and each user will require the Enterprise Edition of KeyPass. This is because only the Enterprise Edition supports read-only passwords and security tags.


Security Tags

Security tags are a very powerful tool that can be employed by the administrator to impose different views of the central database on different users.

You can defined security tags for read-only passwords under Preferences/Security. Similarly, you can define security tags for each entry in the database under Properties.

Mutually-exclusive views

Let us take a look at an example of how to use security tags to create mutually-exclusive views of the database. Suppose the database has three folders: "HR", "Engineering" and "Marketing". The administrator then assigns the following security tags to these folders:

HR | hr
Engineering | eng
Marketing | mkt

He then creates the following read-only passwords with these security tags:

password1 | hr
password2 | eng
password3 | mkt

Now, when a user logins using "password1", he will only see the "HR" folder (and the entries under it). He will not see the other two folders. This arrangement gives rise to mutually-exclusive views where a user who logins using a certain password will only see a particular folder.

Hierarchical views

Let us take a look at an example of how to use security tags to create hierarchical views where a person with high security level can view all entries that have equal or lower security levels.

Suppose there are three folders in the central database: "Low security", "Medium security" and "High security", with the following security tags:

Low security | low medium high
Medium security | medium high
High security | high

The following read-only passwords are created:

lowpass | low
mediumpass | low medium
highpass | low medium high

With this configuration, a user who logs in using "lowpass" will only see the folders "Low security", but a person who logs in using "highpass" will see all three.

Security tags can be assigned to both folders and entries. If a security tag are assigned to a folder, it will apply to all folders/entries within it. If a security tag is assigned to an entry, it will only be used if the parent folder does not have any security tags assigned, otherwise it will inherit the security tags of the parent folder instead.


Limitations of read-only logins

When a user logs in using a read-only password, he can use the database (view, launch, login), but he will not be able to make changes to the database. He will also not be able to view or access any attached files.

However, the user is able to modify most preference settings eg. change hotkey, add/remove browsers/applications etc. These preference settings will be preserved even after the local database is synchronized with the central copy.


Differences between the Standard and Enterprise Edition of KeyPass

The same binary executable is used for all three version of KeyPass: Free, Standard and Enterprise. The registration code sent to you after purchase converts the Free Edition of KeyPass to either the Standard or the Enterprise Edition.

Only the Enterprise Edition is able to make use of read-only passwords and security tags. You can create read-only passwords and define security tags using the Free or Standard Edition, but you won't be able to use them i.e. they will be ignored.

When you use the Enterprise Edition of KeyPass, you will be able to login using the read-only passwords that you have defined, and the database will be filtered based on the security tags you have defined for that password.


Installing KeyPass on an external USB drive

You can easily install KeyPass on an external USB drive and carry all your sensitive information with you wherever you go. When configured this way, you can access KeyPass on any Windows PC with USB support.

Create a folder called KEYPASS in the root directory of the USB drive. Then copy the distribution files into this folder:

  • KEYPASS.EXE. This is the main KeyPass executable.

  • KEYPASS.EXE.MANIFEST. This is the Windows-XP visual style information for the KeyPass executable.

  • KEYPASS.CHM. This is the KeyPass help file.

  • KEYHOOK.DLL. This is the KeyPass system DLL.

  • KEYPASS.LDR. This is the KeyPass loader executable.

  • KEYPASS.SER. If you have registered KeyPass previously, this file contains the product serial number.

  • KEYPASS.DAT. If you are copying files from an existing installation, this is the KeyPass encrypted database which contains all your sensitive information plus preferences.

  • KEYPASS.LCK. If you are copying files from an existing installation, this file tells KeyPass to lock on startup.

  • KEYFILE.*. If you are copying files from an existing installation, these are the encrypted files that you have added to the database.

Once this is done, you should be able to plug in your USB drive and double-click on KEYPASS.EXE to run KeyPass from the USB drive. All updates will be saved to the USB drive.

To start KeyPass automatically when the USB drive is plugged into the PC, you will need to enable AutoRun. This is convenient if you run KeyPass on certain machines frequently such as your home or work PCs.


Precautions when using KeyPass with an external USB drive

  • You should use the "Unplug or Eject Hardware" icon in the system tray to eject the USB drive before physically unplugging it. Doing so ensures that data is properly flushed to disk.

  • If the USB drive has a read/write LED indicator, make sure the indicator has stopped flashing before physically unplugging the USB drive from the PC. This indicates that all data transfer has completed. Otherwise, you may end up with corrupted files.


When does KeyPass write changes to disk?

Some changes (eg. preferences) are written out to disk immediately. You may notice a slight delay when KeyPass is doing so.

Other changes are written out to disk periodically in the background. When KeyPass is inactive, it checks every minute to see if there are unwritten changes, and if so, writes them to disk. This reduces the possibility that changes are lost due to unexpected situations such as the machine losing power, or the USB drive accidentally unplugged.

Finally, when KeyPass is shut down via the Exit function from the tray menu, or File/Exit from the main menu, KeyPass will flush all unwritten changes to disk before shutting down.


V3 and V4 database compatibility

By default, KeyPass V4 will seamlessly read a V3 database, but write out to the new V4 format. The new database format is optimized to be much smaller in size, which results in better performance especially on slower USB flash drives.

If you wish to write out the database in such a way that KeyPass V3 can read it, you need to go to Preferences/General, and disable Save in new format (this is enabled by default). This will write out the database in V3 format. However, all V4-specific properties will be ignored when this database is read by KeyPass V3. If KeyPass V3 reads the database and writes it out again, all V4-specific properties will be lost.

If you are using KeyPass Enterprise Edition and you have a mixture of V3 and V4 clients, you should save to the V3 format so that the master database can be read by all clients. Be sure to stick to properties that KeyPass V3 can understand (eg. only use keystrokes that are defined in V3).


Choosing a good password

A good password should have the following properties:

  • At least 8 characters so that the password will be difficult to guess using a brute-force approach. The minimum length of a password accepted by KeyPass is 6 characters.

  • Include both letters and numbers to make the password even harder to guess.

  • Should not be a normal word that you can find in the dictionary, otherwise this will make the intruder's job much easier.

  • Should not be something personal eg. birth date or wife's name for the same reason.

  • Unless you have photographic memory, the password should not be completely random eg. "8Hsj3hd5", otherwise you will forget it easily.

The last point runs counter to the other four. For a password to be easy to remember, it should be familiar in some ways. However, what is easy for you to remember will also make it easier for a potential intruder to crack.

Here are some suggestions for meshing together familiar items to form a password so that the final result will still be easy to remember, but much harder to guess:

  • Take a familiar word and date, and mingle them. For example if your daughter's name is "Jenny", and her birth date is Jul 2, 1986, one possible combination is "Jen19860702ny".

  • Another possibility is to take a familiar phrase and number, and mingle them. For example, if your wife' favorite phrase is "Just kidding!", and your favorite number is 21, one possible combination is "Just21Kidding".

  • Yet another possibility is to take a familiar phrase and number, and break them both before recombining. For example, if your favorite singer is Elvis Presley, and your car plate number is 7623, one possible combination is Elvis76Presley23.

Please remember that your password is case-sensitive. Hence, "MyPassword" is not equivalent to "mypassword".

There is absolutely no way to recover information from the encrypted database once your master password is lost! So choose your password carefully to minimize the chances of forgetting it.


Backup strategy

All the entries in the database, as well as preferences, are stored in a file called KEYPASS.DAT in encrypted format in your KeyPass directory. Backup this file frequently, because you never know when Murphy's Law is going to strike. Your harddisk/flash drive may give way, the database may become corrupted, or you may accidentally delete something which you are not immediately aware of.

A good backup strategy is to keep a small number of dated backups for KEYPASS.DAT. The database file is small and compact, so it won't take up too much space on your backup device. If something unforeseen happens, you will have a number of backup copies to recover information from. If you have attached files in the database, you should also backup the files KEYFILE.*.

Refer to Enabling/disabling AutoBackup for an automated approach to backing up the KeyPass database.


Copyright and license

All copyrights to KeyPass are exclusively owned by DobySoft.

The user is granted a non-exclusive license to use KeyPass on one computer (i.e. a single CPU), for any legal purpose, at a time. The KeyPass software may not be rented or leased, but may be permanently transferred if the person receiving it agrees to terms of this license. If the software is an update, the transfer must include the update and all previous versions.

KeyPass is distributed "as is". No warranty of any kind is expressed or implied. You use at your own risk. DobySoft will not be liable for data loss, damages, loss of profits or any other kind of loss while using or misusing this software. All rights not expressly granted here are reserved by DobySoft.

Installing and using KeyPass signifies acceptance of these terms and conditions of the license. If you do not agree with the terms of this license, you must remove KeyPass files from your storage devices and cease to use the product.


Support and updates

For the latest news and updates about KeyPass, please visit the product website at: http://www.dobysoft.com/products/keypass/.


Ordering information

The free version of KeyPass is limited to a maximum of 10 entries (excluding folders).

To enjoy the full functionality of KeyPass, please order the standard or enterprise edition at: http://www.dobysoft.com/products/keypass/order.html.


Version history

Date Version Changes
06/01/2006 4.0.1
  • When editing an encrypted file, an unnecessary message box "ShellExec success" is displayed. This has been removed.
03/01/2006 4.0.0
  • Improved database compression logic.
  • Added auto association with window title.
  • Added import/export of CSV file.
  • Improved find function granularity.
  • Find function now highlights search terms within results.
  • Added favorites list.
  • Added ability to change global keystroke speed.
  • Added ability to set entry-specific keystroke speed.
  • Added ability to activate KeyPass via a shortcut key.
  • Added ability to add any number of web browsers/applications in preferences.
  • Enhanced login script so that any keystroke or delay can be utilized.
  • Added ability to use more than one read-only password.
  • Added security tag feature.
  • Added secure file attachment feature.
  • Added ability to specify a different default login script.
  • Added instant login extension.
  • Introduced more preference settings on application behaviour during startup and operation.
  • Added ability to lock on startup without first asking for master password.
  • Updated backup function to handle attached files.
21/04/2005 3.6.6
  • Minor enhancement in registration code verification logic.
09/03/2005 3.6.5
  • Previously, when running Microsoft Remote Desktop Client in full-screen mode on a fast machine, keystrokes may be dropped when KeyPass is sending information to the remote PC. This has been fixed.
17/02/2005 3.6.4
  • Added Shift-Tab to the keystroke list in login script.
19/01/2005 3.6.3
  • Previously when the mouse buttons are swapped via the Control Panel, the login script will not work properly. This has been fixed.
  • Updated copyright notice.
21/12/2004 3.6.2
  • Under certain situations, when the splitter moves too far to the left or top so that either the treeview pane or the fields/login script panes are hidden, the user is unable to move the splitter back so that the hidden panes are visible again. This has been fixed.
09/11/2004 3.6.1
  • Fixed a small typo in the "Preferences" window.
25/10/2004 3.6.0
  • KeyPass will sometimes crash when the user clicks on the tray icon to bring up the tray menu. This has been fixed.
  • Auto-lock will sometimes refuse to activate because KeyPass thinks that the mouse is still being used. This has been fixed.
30/09/2004 3.5.6
  • When KEYLOAD.EXE is launched from the "Preferences" window (using "Enable Autorun"), it will inherit the KeyPass directory as its own process directory. If KeyPass is residing from a USB drive, the device cannot be cleanly unmounted. This has been fixed.
21/09/2004 3.5.5
  • KEYLOAD.EXE has been updated to only scan the drive letter of the removable storage upon arrival instead of scanning all the drive letters.
06/09/2004 3.5.4
  • Previously, the edit property of each action in the login script is not disabled. This has been fixed.
27/08/2004 3.5.3
  • Double clicking on the tray icon now unlocks KeyPass if it is currently locked.
19/07/2004 3.5.2
  • If you are using a master password which is longer than 14 characters, the unlock function will fail. This has been fixed. As this is a potential buffer overflow issue, we encourage all users to upgrade to this version even if it does not impact you immediately.
12/07/2004 3.5.1
  • Previously, the following sequence lock-unlock-dismiss-unlock will cause KeyPass to crash. This has been fixed.
  • Under certain situations, the expansion status of items are not saved to the database upon exit. This has been fixed.
  • The selection status of items are now saved to the database upon exit.
24/06/2004 3.5.0
  • "Recent" menu is now disabled when KeyPass is locked.
  • Added created/modified date/timestamp in "Database Information".
  • Fixed another bug in export function so that KeyPass can now directly import the Netscape/Mozilla file that it previously exported.
01/06/2004 3.4.0
  • Added recovery of tray icon upon Explorer crash.
  • Previously, KEYLOAD.EXE only checks for KEYPASS.EXE whenever there is a disk change event. Now, it has been updated to make that check upon startup as well.
  • Fixed bug in export function so that KeyPass can now directly import the Netscape/Mozilla file that it previously exported.
  • Updated screenshots in help file.
10/05/2004 3.3.0
  • Added ability to use symbols other than underscore when generating passwords.
  • Added URL and notes fields in popup menu. Icons have also been updated to distinguish between different field types.
  • Fixed bug in update of recent menu when bookmarks with same name and URL are present in the database.
11/04/2004 3.2.0
  • Increased maximum length of master password to 64 characters.
  • Moved "Recent" list to top level of tray menu.
  • Improved Autorun (KEYLOAD.EXE) to launch KeyPass only from a removable drive.
  • The values of non-password fields are now displayed in the popup menu.
29/02/2004 3.1.0
  • Previously, there was an issue with disabling masking for the password field. This has been fixed.
  • If you exit from KeyPass while the "Manage Database" window is still on the screen, and you have made some recent changes, these changes may be lost. This issue has been fixed.
  • A new action type called "Delay 1s" has been added to the login script. This is to cater to terminal programs which might be slightly slower in accepting keyboard inputs.
23/01/2004 3.0.5
  • Make "Recent" submenu bold.
01/01/2004 3.0.4
  • The "Exit" function is now enabled even when KeyPass is locked.
  • Certain keystrokes are not sent correctly when the capslock is on. This has been fixed.
  • Setup will now ensure that KeyPass is not running before proceeding with the installation.
03/11/2003 3.0.3
  • Added some logic to deal with corrupted window state. This usually happens under Win 9x/ME when a blue screen occurs and corrupts some OS internal data structures, which may cause the window state saved by KeyPass to become invalid.
27/10/2003 3.0.2
  • Added "Backup now!" function to system tray menu.
15/10/2003 3.0.1
  • When reordering fields using drag-and-drop, the content of password fields will be unmasked. This has been fixed.
13/10/2003 3.0.0
  • Switched to new license key system.
  • Save expansion status of all items to database.
  • Added auto-lock function.
  • Added additional shortcut keys to context menus.
  • Fixed focusing problem in fields and login script panels when using shortcut keys to insert/delete items.
  • Added "space" key to list of allowable keys in login script.
  • Changed root node from "Bookmarks" to "Database".
  • Create four folders by default in new database: Bookmarks, Applications, Credit Cards, PIN Numbers.
  • Reflect name of root node in tray popup menu.
  • Added XP-style icons.
  • Added XP visual style manifest information.
  • Added "Database information" function.
  • Fixed incompatibility with Remote Desktop client.
  • Added "Backup now!" function.
  • Added notes attribute to folders. The HTML export module has also been updated to export this information.
  • Previously, when drag-and-drop is aborted, the focus of the treeview is messed up. This has been fixed.
  • Previously, when a drag operation is started, the last update may not be registered. This has been fixed.
  • Save window position and width/height of panels to database.
  • Fixed bug in saving/restoring of window position when window state is maximized.
  • Added "Select All" action, and added it to the default script.
  • Rename "bookmark" to "entry" globally.
  • "Export to HTML" has been changed to export to Netscape format.
  • Added "Import IE favorites" function.
  • Added "Import Netscape bookmark file" function.
  • Added "Import Mozilla bookmark file" function.
  • Previously, if the capslock is on, the casing of the keystrokes sent will be incorrect. This has been fixed. Now casing of keystrokes sent is independent of keyboard capslock status.
17/08/2003 2.5.3
  • Double-clicking to launch bookmark did not add bookmark to recent list. This has been fixed.
  • The search function now wraps around and starts searching from the top when it has reached the bottom of the tree.
  • The quick search box now reflects what is entered in the search dialog box and vice versa.
  • Previously, clicking once on the first field always puts it in editing mode. This has been fixed.
  • <F2> now acts as a shortcut key to rename bookmarks/folders.
14/08/2003 2.5.2
  • Added scrollbars to the "Notes" field.
  • Double-clicking on a bookmark now opens it in the default browser.
12/08/2003 2.5.1
  • Added Ctrl-Enter to the list of allowable keys in the login script.
28/04/2003 2.5.0
  • Eliminated the "Open in browser" menu item if no alternative browsers are defined.
  • Added quick find text box in toolbar.
  • Added auto-backup function in preferences, which allows user to automatically backup the database to a given directory or network location on a daily, weekly or monthly basis.
  • Added auto-update function in preferences, which allows administrator to specify a reference database from which read-only databases are refreshed.
  • Added version history to help file.
25/03/2003 2.0.1
  • Under certain situations, nested folders are not displayed correctly when the database is saved and reopened. For example, if the database contains two folders Folder1 and Folder2, and Folder1 contains a subfolder Folder1A, and Folder1 does not contain any bookmarks, then when the database is saved and reopened, Folder2 will become a subfolder of Folder1. Note that no data is lost, only the folder hierarchy is affected.
27/02/2003 2.0.0
  • This version is now branded under DobySoft instead of CTech Software.
  • Added new registration system so that license key can be sent out faster via automated system.
  • Added locking/unlocking function.
  • Added read-only password function.
  • Added HTML export function.
  • Added Ctrl-Home/Ctrl-End keyboard shortcuts.
  • Added "recent bookmarks" feature.
24/01/2003 1.0.5
  • The license key of the standalone edition of KeyPass cannot be verified. This has been fixed.
  • Updates to the folders/bookmarks are not saved automatically unless the "Save" function is used. This has been fixed.
23/01/2003 1.0.4
  • Under certain situations, it is possible to inadvertently create folders/bookmarks at the same indentation level as the root node "Bookmarks", and it is not possible to delete them. The only way to delete them is to move them to a folder under the Bookmarks root node. This has been fixed.
  • When using the arrow keys to navigate the folders/bookmarks pane, it is possible under some situations to cause data corruption. One way this can occur is to expand a particular folder with more than 2 bookmarks, highlight the last item and press the up-arrow key to move to the first bookmark without releasing the key. It will cause all the other bookmarks to take on the attributes of the 2nd last bookmark (Note: Please do not try this test without first backing up your KEYPASS.DAT file!) This has been fixed.
17/11/2002 1.0.3
  • Improved support for foreign keyboard keycodes.
  • Minor code refactoring for improved program stability.
01/08/2002 1.0.2
  • The hot key is always initialized as Ctrl-Right-Mouse-Button during startup, regardless of the saved preference. This has been fixed.
27/07/2002 1.0.1
  • When the "Manage Bookmarks" window is first opened, do not expand the root folder automatically.
  • Fixed a bug in the focusing logic when deleting a field.
  • Fixed a bug in the enabling/disabling logic of the new folder/bookmark function.
  • Added "Open in browser" function in the bookmarks pane.
  • Now when bringing up the popup menu with the hot key, the "Manage Bookmarks" window will not be minimized first.
  • Improved compatibility with other applications when activating the popup menu./li>
  • Added "Dismiss" function to the popup menu so that the menu can be dismissed without selecting any field or script.
  • Fixed a bug in the saving of web browser settings.
15/07/2002 1.0.0
  • First release.